package com.emr.entity.zdDictionary;

import java.io.Serializable;

public class ZdDeptCode implements Serializable {
    private String code;

    private String name;

    private String ward;

    private String pyCode;

    private String computeName;

    private String countCode;

    private String clinic;

    private String emergency;

    private String inhospital;

    private String technic;

    private String watch;

    private String home;

    private Short bed;

    private String profession;

    private Short clinicSort;

    private Short emergencySort;

    private Short inhospitalSort;

    private Short technicSort;

    private Short watchSort;

    private Short deptSort;

    private Short flag;

    private String technicType;

    private static final long serialVersionUID = 1L;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code == null ? null : code.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getWard() {
        return ward;
    }

    public void setWard(String ward) {
        this.ward = ward == null ? null : ward.trim();
    }

    public String getPyCode() {
        return pyCode;
    }

    public void setPyCode(String pyCode) {
        this.pyCode = pyCode == null ? null : pyCode.trim();
    }

    public String getComputeName() {
        return computeName;
    }

    public void setComputeName(String computeName) {
        this.computeName = computeName == null ? null : computeName.trim();
    }

    public String getCountCode() {
        return countCode;
    }

    public void setCountCode(String countCode) {
        this.countCode = countCode == null ? null : countCode.trim();
    }

    public String getClinic() {
        return clinic;
    }

    public void setClinic(String clinic) {
        this.clinic = clinic == null ? null : clinic.trim();
    }

    public String getEmergency() {
        return emergency;
    }

    public void setEmergency(String emergency) {
        this.emergency = emergency == null ? null : emergency.trim();
    }

    public String getInhospital() {
        return inhospital;
    }

    public void setInhospital(String inhospital) {
        this.inhospital = inhospital == null ? null : inhospital.trim();
    }

    public String getTechnic() {
        return technic;
    }

    public void setTechnic(String technic) {
        this.technic = technic == null ? null : technic.trim();
    }

    public String getWatch() {
        return watch;
    }

    public void setWatch(String watch) {
        this.watch = watch == null ? null : watch.trim();
    }

    public String getHome() {
        return home;
    }

    public void setHome(String home) {
        this.home = home == null ? null : home.trim();
    }

    public Short getBed() {
        return bed;
    }

    public void setBed(Short bed) {
        this.bed = bed;
    }

    public String getProfession() {
        return profession;
    }

    public void setProfession(String profession) {
        this.profession = profession == null ? null : profession.trim();
    }

    public Short getClinicSort() {
        return clinicSort;
    }

    public void setClinicSort(Short clinicSort) {
        this.clinicSort = clinicSort;
    }

    public Short getEmergencySort() {
        return emergencySort;
    }

    public void setEmergencySort(Short emergencySort) {
        this.emergencySort = emergencySort;
    }

    public Short getInhospitalSort() {
        return inhospitalSort;
    }

    public void setInhospitalSort(Short inhospitalSort) {
        this.inhospitalSort = inhospitalSort;
    }

    public Short getTechnicSort() {
        return technicSort;
    }

    public void setTechnicSort(Short technicSort) {
        this.technicSort = technicSort;
    }

    public Short getWatchSort() {
        return watchSort;
    }

    public void setWatchSort(Short watchSort) {
        this.watchSort = watchSort;
    }

    public Short getDeptSort() {
        return deptSort;
    }

    public void setDeptSort(Short deptSort) {
        this.deptSort = deptSort;
    }

    public Short getFlag() {
        return flag;
    }

    public void setFlag(Short flag) {
        this.flag = flag;
    }

    public String getTechnicType() {
        return technicType;
    }

    public void setTechnicType(String technicType) {
        this.technicType = technicType == null ? null : technicType.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", code=").append(code);
        sb.append(", name=").append(name);
        sb.append(", ward=").append(ward);
        sb.append(", pyCode=").append(pyCode);
        sb.append(", computeName=").append(computeName);
        sb.append(", countCode=").append(countCode);
        sb.append(", clinic=").append(clinic);
        sb.append(", emergency=").append(emergency);
        sb.append(", inhospital=").append(inhospital);
        sb.append(", technic=").append(technic);
        sb.append(", watch=").append(watch);
        sb.append(", home=").append(home);
        sb.append(", bed=").append(bed);
        sb.append(", profession=").append(profession);
        sb.append(", clinicSort=").append(clinicSort);
        sb.append(", emergencySort=").append(emergencySort);
        sb.append(", inhospitalSort=").append(inhospitalSort);
        sb.append(", technicSort=").append(technicSort);
        sb.append(", watchSort=").append(watchSort);
        sb.append(", deptSort=").append(deptSort);
        sb.append(", flag=").append(flag);
        sb.append(", technicType=").append(technicType);
        sb.append("]");
        return sb.toString();
    }
}